Subject: [bug#52204] [PATCH] guix system vm: Add --no-graphic CLI argument.

From: Mathieu Othacehe <[email-masked]>
Date: Thu, 02 Dec 2021 15:24:55 +0100

Hello,

> * gnu/system/vm.scm (system-qemu-image/shared-store-script): Also add the
> '-nographic' qemu argument when called with #:graphic? #false.
> * guix/scripts/system.scm (system-derivation-for-action): Propagate
> the #:graphic? keyword arg.
> (perform-action): Add and propagate the #:graphic? keyword arg.
> (show-help): Add --no-graphic CLI arg.
> (%options): Process the new --no-graphic CLI arg.
> (process-action): Feed in the CLI arg through the #:graphic? keyword arg.

This looks fine. Could you send an updated patch with the associated
documentation update?

Thanks,

Mathieu